import * as React from 'react';
import * as DialogPrimitive from '@radix-ui/react-dialog';
declare const DialogTrigger: React.ForwardRefExoticComponent<DialogPrimitive.DialogTriggerProps & React.RefAttributes<HTMLButtonElement>>;
declare const DialogContent: React.ForwardRefExoticComponent<Omit<DialogPrimitive.DialogContentProps & React.RefAttributes<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare function DialogHeader(props: React.HTMLAttributes<HTMLDivElement>): import("@emotion/react/jsx-dev-runtime").JSX.Element;
declare namespace DialogHeader {
    var displayName: string;
}
declare function DialogFooter(props: React.HTMLAttributes<HTMLDivElement>): import("@emotion/react/jsx-dev-runtime").JSX.Element;
declare namespace DialogFooter {
    var displayName: string;
}
declare const DialogTitle: React.ForwardRefExoticComponent<Omit<DialogPrimitive.DialogTitleProps & React.RefAttributes<HTMLHeadingElement>, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
declare const DialogDescription: React.ForwardRefExoticComponent<Omit<DialogPrimitive.DialogDescriptionProps & React.RefAttributes<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
declare const _Dialog: React.FC<DialogPrimitive.DialogProps>;
export { _Dialog as Root, DialogTrigger as Trigger, DialogContent as Content, DialogHeader as Header, DialogFooter as Footer, DialogTitle as Title, DialogDescription as Description, };
